Bug 859583 - Agere Systems ET-131x PCI-E Ethernet controler is not working in Fedora
Agere Systems ET-131x PCI-E Ethernet controler is not working in Fedora
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-22 02:10 EDT by frederick
Modified: 2013-02-01 10:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-01 10:57:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description frederick 2012-09-22 02:10:16 EDT
Description of problem:
The adapter is listed, but not using any module

Version-Release number of selected component (if applicable):
Linux free 3.5.3-1.fc17.i686 #1 SMP Wed Aug 29 19:25:38 UTC 2012 i686 i686 i386 GNU/Linux


How reproducible:
Always


Steps to Reproduce:
1.Boot Fedora 17
  

Actual results:
Network is not functional


Expected results:
Network is functional



Additional info:
LG Electronics:
Laptop LG Z1 EXPRESS DUAL, Z1-B001B1, (Core 2 Duo T5500 Processor 1.66GHz, 2GB RAM)


[fred@free ~]$ su -c 'lspci -vvs 02:00.0'
Contraseña: 
02:00.0 Ethernet controller: Agere Systems ET-131x PCI-E Ethernet Controller (rev 03)
	Subsystem: LG Electronics, Inc. Device 0086
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at f4000000 (64-bit, non-prefetchable) [size=2M]
	[virtual] Expansion ROM at f0000000 [disabled] [size=128K]
	Capabilities: [40] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2- AuxCurrent=0mA PME(D0+,D1+,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [48] Express (v1) Endpoint, MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s <4us, L1 <32us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <1us, L1 <32us
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [5c] MSI: Enable- Count=1/1 Maskable- 64bit+
		Address: 0000000000000000  Data: 0000
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq+ ACSViol-
		UEMsk:	DLP+ SDES- TLP+ FCP+ CmpltTO+ CmpltAbrt+ UnxCmplt+ RxOF+ MalfTLP+ ECRC+ UnsupReq+ ACSViol-
		UESvrt:	DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr+ BadTLP+ BadDLLP+ Rollover+ Timeout+ NonFatalErr-
		AERCap:	First Error Pointer: 00, GenCap+ CGenEn- ChkCap+ ChkEn-
	Capabilities: [130 v1] Virtual Channel
		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
		Arb:	Fixed- WRR32- WRR64- WRR128-
		Ctrl:	ArbSelect=Fixed
		Status:	InProgress-
		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=01
			Status:	NegoPending- InProgress-
	Capabilities: [14c v1] Device Serial Number 02-e0-91-ff-fe-20-f4-0d
 Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at f4000000 (64-bit, non-prefetchable) [size=2M]
	[virtual] Expansion ROM at f0000000 [disabled] [size=128K]
	Capabilities: <access denied>
Comment 1 frederick 2012-09-22 02:22:08 EDT

//////////////////////////////////////////////////////

fred@free ~]$ ifconfig -a
lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 16436
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 0  (Local Loopback)
        RX packets 73  bytes 5421 (5.2 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 73  bytes 5421 (5.2 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

wlan0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.1.101  netmask 255.255.255.0  broadcast 192.168.1.255
        inet6 fe80::218:deff:fec9:77d3  prefixlen 64  scopeid 0x20<link>
        ether 00:18:de:c9:77:d3  txqueuelen 1000  (Ethernet)
        RX packets 335346  bytes 401998070 (383.3 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 237419  bytes 27207757 (25.9 MiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

//////////////////////////////////////////////////////

[fred@free ~]$ lsmod
Module                  Size  Used by
e1000                 128701  0 
fuse                   71512  3 
rfcomm                 57411  4 
bnep                   18863  2 
ip6t_REJECT            12826  2 
nf_conntrack_ipv6      13928  3 
nf_defrag_ipv6         13708  1 nf_conntrack_ipv6
nf_conntrack_ipv4      14280  2 
nf_defrag_ipv4         12601  1 nf_conntrack_ipv4
xt_state               12514  5 
nf_conntrack           71613  3 xt_state,nf_conntrack_ipv4,nf_conntrack_ipv6
ip6table_filter        12711  1 
ip6_tables             17744  1 ip6table_filter
snd_hda_codec_si3054    12864  1 
snd_hda_codec_realtek    63231  1 
snd_hda_intel          32515  4 
arc4                   12473  2 
iwl3945                98688  0 
snd_hda_codec         109220  3 snd_hda_codec_realtek,snd_hda_codec_si3054,snd_hda_intel
iwlegacy              109977  1 iwl3945
snd_hwdep              13232  1 snd_hda_codec
snd_pcm                81297  4 snd_hda_codec_si3054,snd_hda_codec,snd_hda_intel
snd_page_alloc         13709  2 snd_pcm,snd_hda_intel
mac80211              447931  2 iwl3945,iwlegacy
snd_timer              23742  1 snd_pcm
cfg80211              165971  3 iwl3945,iwlegacy,mac80211
btusb                  19102  0 
coretemp               13232  0 
lpc_ich                16925  0 
bluetooth             262370  24 bnep,btusb,rfcomm
snd                    63133  14 snd_hda_codec_realtek,snd_hda_codec_si3054,snd_hwdep,snd_timer,snd_pcm,snd_hda_codec,snd_hda_intel
tifm_7xx1              13156  0 
tifm_core              14474  1 tifm_7xx1
microcode              18713  0 
i2c_i801               17499  0 
serio_raw              13159  0 
rfkill                 20451  5 cfg80211,bluetooth
soundcore              14123  1 snd
uinput                 17304  0 
firewire_ohci          35521  0 
sdhci_pci              18219  0 
sdhci                  36874  1 sdhci_pci
firewire_core          55799  1 firewire_ohci
mmc_core               97004  2 sdhci,sdhci_pci
crc_itu_t              12523  1 firewire_core
yenta_socket           40362  0 
wmi                    18273  0 
i915                  451868  3 
video                  18504  1 i915
i2c_algo_bit           13065  1 i915
drm_kms_helper         30925  1 i915
drm                   215938  4 i915,drm_kms_helper
i2c_core               28305  5 drm,i915,i2c_i801,drm_kms_helper,i2c_algo_bit
Comment 2 Josh Boyer 2013-01-08 08:37:48 EST
Are you still having issues with this in the 3.6.10 or newer kernel updates?  If so, could you please attach the full dmesg from a fresh boot?
Comment 3 Justin M. Forbes 2013-02-01 10:57:45 EST
This bug is being closed because it has been set needinfo for more than 2 weeks without a response. If this is still an issue, please reopen and reply with the requested information.

Note You need to log in before you can comment on or make changes to this bug.